Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast_UDP_Proxy Class Reference

Define the proxy implementation for UDP based communication. More...

`#include <RMCast_UDP_Proxy.h>`

Inheritance diagram for ACE_RMCast_UDP_Proxy

[legend]
Collaboration diagram for ACE_RMCast_UDP_Proxy:

[legend]
List of all members.

## Public Methods
| ACE_RMCast_UDP_Proxy (ACE_RMCast_IO_UDP *io_udp, const ACE_INET_Addr &peer_addr)
| Constructor. More...
virtual | ~ACE_RMCast_UDP_Proxy (void)
| Destructor.
int | receive_message (char *buffer, size_t size)
| Receive a message, parse and send it upstream in the right format.
const ACE_INET_Addr& | peer_addr (void) const
| Make the peer address available.
virtual int | reply_data (ACE_RMCast::Data &)
virtual int | reply_poll (ACE_RMCast::Poll &)
virtual int | reply_ack_join (ACE_RMCast::Ack_Join &)
virtual int | reply_ack_leave (ACE_RMCast::Ack_Leave &)
virtual int | reply_ack (ACE_RMCast::Ack &)
virtual int | reply_join (ACE_RMCast::Join &)
virtual int | reply_leave (ACE_RMCast::Leave &)
## Private Attributes
ACE_RMCast_IO_UDP* | io_udp_
| The IO facade.
ACE_INET_Addr | peer_addr_
| The remote peer's address.

## Detailed Description

Define the proxy implementation for UDP based communication.

Proxy objects are transport specific, they are responsible for storing the remote peer addressing information. This class implements the UDP version of a proxy.

## Constructor & Destructor Documentation

ACE_RMCast_UDP_Proxy::ACE_RMCast_UDP_Proxy ( | ACE_RMCast_IO_UDP * io_udp,
| const ACE_INET_Addr & peer_addr )`[inline]`

  | Constructor. The Parameters:
  io_udp | argument is kept to send the replys through the right socket. The
  peer_addr | is the address used byu the peer to receive responses.

ACE_RMCast_UDP_Proxy::~ACE_RMCast_UDP_Proxy ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

ACE_INLINE const ACE_INET_Addr & ACE_RMCast_UDP_Proxy::peer_addr ( | void ) const

| Make the peer address available.

int ACE_RMCast_UDP_Proxy::receive_message ( | char * buffer,
| size_t size )

| Receive a message, parse and send it upstream in the right format.

int ACE_RMCast_UDP_Proxy::reply_ack ( | ACE_RMCast::Ack & ack )`[virtual]`

| Reimplemented from ACE_RMCast_Proxy.

int ACE_RMCast_UDP_Proxy::reply_ack_join ( | ACE_RMCast::Ack_Join & ack_join )`[virtual]`

| Reimplemented from ACE_RMCast_Proxy.

int ACE_RMCast_UDP_Proxy::reply_ack_leave ( | ACE_RMCast::Ack_Leave & ack_leave )`[virtual]`

| Reimplemented from ACE_RMCast_Proxy.

int ACE_RMCast_UDP_Proxy::reply_data ( | ACE_RMCast::Data & data )`[virtual]`

  | Implement the ACE_RMCast_Proxy methods, in this case we use the Parameters:
  io_udp_ | object to send the data, using the address of our remote peer.
Reimplemented from ACE_RMCast_Proxy.

int ACE_RMCast_UDP_Proxy::reply_join ( | ACE_RMCast::Join & join )`[virtual]`

| Reimplemented from ACE_RMCast_Proxy.

int ACE_RMCast_UDP_Proxy::reply_leave ( | ACE_RMCast::Leave & leave )`[virtual]`

| Reimplemented from ACE_RMCast_Proxy.

int ACE_RMCast_UDP_Proxy::reply_poll ( | ACE_RMCast::Poll & poll )`[virtual]`

| Reimplemented from ACE_RMCast_Proxy.

## Member Data Documentation

ACE_RMCast_IO_UDP * ACE_RMCast_UDP_Proxy::io_udp_`[private]`

| The IO facade.

ACE_INET_Addr ACE_RMCast_UDP_Proxy::peer_addr_`[private]`

| The remote peer's address.

The documentation for this class was generated from the following files:

- RMCast_UDP_Proxy.h
- RMCast_UDP_Proxy.cpp
- RMCast_UDP_Proxy.i